
Foreman - Bug #875

Non consistent behaviour of GET APIs

05/03/2011 06:01 AM - Elena Dolinin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All APIs for GET collections return in response proper json obects:

http://10.35.64.2:3000/architectures?format=json {"architecture":{"name":"x86_64","id":1}},{"architecture":{"name":"i386","id":2}}]

But 'hosts' API returns only a list of host names and no hosts properties:

http://10.35.64.2:3000/hosts?format=json

["itzik1.qa.lab.tlv.redhat.com","test.qa.lab.tlv.redhat.com","testLena.qa.lab.tlv.redhat.com"]

Related issues:

Has duplicate Foreman - Feature #1524: Add more attributes to JSON index Closed 03/11/2012

History

#1 - 05/06/2011 03:30 PM - Corey Osman

I would like to see that puppet status and OS are included.

#2 - 10/10/2011 07:52 PM - Brian Gupta

Talking to Ohad about API, and he suggested we review the following for ideas: http://incubator.apache.org/deltacloud/api.html

#3 - 07/24/2012 04:20 AM - Ohad Levy

- Category set to API

- Status changed from New to Duplicate
